hp scanner...again...

Issues Related to Hardware (Sound, Video, Printers, Scanners, Webcams, Touchpads, Keyboards, Sensors, Drives, GRUB, etc.)

Moderator: Moderators

hp scanner...again...

Postby ronaldoasa » Thu Feb 20, 2014 13:54

Hello all.
I´m having a hard time to put a hp3516 scanner to work through usb. It prints, but doesn´t scan. Tried reinstalling hplip. Rebooting, nothing. Erased sabayon xfce4 and installed a fresh sabayon kde. Same issue. And I know it works cause I have another partition with manjaro and it works flawless. All scan apps crashes with no error message a few seconds after launch.
Here´s the hp-check:
Code: Select all
---------------
| SYSTEM INFO |
---------------

Kernel: 3.12.0-sabayon #1 SMP Tue Jan 28 15:58:45 UTC 2014 GNU/Linux
Host: almeidas
Proc: 3.12.0-sabayon #1 SMP Tue Jan 28 15:58:45 UTC 2014 GNU/Linux
Distribution: gentoo 0.0
Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.14.1
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for gentoo distro 0.0 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.14.1

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.14.1
html=/usr/share/doc/hplip-3.14.1/html
icon=/usr/share/applications
cupsbackend=/usr/libexec/cups/backend
cupsfilter=/usr/libexec/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=no
shadow-build=no
hpijs-install=yes
foomatic-drv-install=no
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=no
cups-ppd-install=yes
internal-tag=3.14.1
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=yes
lite-build=no
udev-acl-rules=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: Arquivo ou diret?rio n?o encontrado

Current contents of '~/.hplip/hplip.conf' file:
warning: Could not access file: Arquivo ou diret?rio n?o encontrado
<Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>

--------------------------
| External Dependencies |
--------------------------

policykit Admin-Policy-framework OPTIONAL - 0.112 OK -
gs Ghostscript REQUIRED 7.05 9.10 OK -
network Network-wget OPTIONAL - 1.15 OK -
scanimage Shell-Scanning OPTIONAL 1.0 1.0.24 OK -
avahi-utils avahi-utils OPTIONAL - 0.6.31 OK -
dbus DBus REQUIRED - 1.6.18 OK -
cups CUPS REQUIRED 1.1 1.7.1 OK 'CUPS Scheduler is running'
xsane SANE-GUI OPTIONAL 0.9 0.999 OK -

-------------------------
| General Dependencies |
-------------------------

reportlab Python-PDF-Lib OPTIONAL 2.0 2.7 OK -
libcrypto OpenSSL-Crypto-Lib REQUIRED - 1.0.1 OK -
pil Python-Image-Lib OPTIONAL - 1.1.7 OK -
pyqt4-dbus PyQt4-DBUS REQUIRED 4.0 4.10.3 OK -
libjpeg JPEG-Lib REQUIRED - - OK -
libpthread POSIX-Threads-Lib REQUIRED - 2.17 OK -
python-dbus Python-DBUS REQUIRED 0.80.0 1.2.0 OK -
python-devel Python-SDK REQUIRED 2.2 2.7.5 OK -
pyqt4 Python-Qt4 REQUIRED 4.0 4.10.3 OK -
cups-devel CUPS-SDK REQUIRED - 1.7.1 OK -
sane-devel SANE-SDK REQUIRED - 1.0.24 OK -
libusb USB-Lib REQUIRED - 1.0 OK -
sane Scan-Lib REQUIRED - 1.0.24 OK -
cups-image CUPS-Image-Lib REQUIRED - 1.7.1 OK -
libnetsnmp-devel SNMP-Networking-SDK REQUIRED 5.0.9 5.7.2 OK -
python-xml Python-XML-Lib REQUIRED - 2.1.0 OK -
python-notify Desktop-notifications OPTIONAL - - OK -

------------------------------
| Compile Time Dependencies |
------------------------------

gcc gcc-Compiler REQUIRED - 4.7.3 OK -
libtool Build-tools REQUIRED - 2.4.2 OK -
make GNU-Build-tools REQUIRED 3.0 3.82 OK -

----------------------
| Python Extentions |
----------------------

cupsext CUPS-Extension REQUIRED - 3.14.1 OK -
pcardext PhotoCard-Extension REQUIRED - 3.14.1 OK -
hpmudext IO-Extension REQUIRED - 3.14.1 OK -

-----------------------
| Scan Configuration |
-----------------------

hpaio HPLIP-SANE-Backend REQUIRED - 3.14.1 OK 'hpaio found in /etc/sane.d/dll.conf'
scanext Scan-SANE-Extension REQUIRED - 3.14.1 OK -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

error: Failed to get Scanners information.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

Device URI Model
------------------------------------------------- ----------------------------------
hp:/usb/Deskjet_3510_series?serial=BR37CFJ7Y105Y8 HP Deskjet 3510 series

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------


Deskjet_3510
------------
Type: Printer
Device URI: hp:/usb/Deskjet_3510_series?serial=BR37CFJ7Y105Y8
PPD: /etc/cups/ppd/Deskjet_3510.ppd
PPD Description: HP Deskjet 3510 Series hpijs, 3.14.1
Printer status: printer Deskjet_3510 is idle. enabled since Qua 19 Fev 2014 22:09:27 BRT
Communication status: Good


--------------
| PERMISSION |
--------------

USB Deskjet_3510 Required - - OK Node:'/dev/bus/usb/005/008' Perm:' root lp rw- rw- rw- rw- r--'

-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
None

Missing Optional Dependencies
-----------------------------
None


Total Errors: 0
Total Warnings: 1

Any help?
ronaldoasa
Baby Hen
 
Posts: 5
Joined: Thu Feb 20, 2014 13:20

Re: hp scanner...again...

Postby Fitzcarraldo » Thu Feb 20, 2014 15:51

I had a similar problem with the scanner in my Canon MP560 MFP. I discovered that, despite the ebuild for sane-backends 1.0.24-r1 being marked as stable in the Gentoo repositories, the only way I could stop scanner applications from crashing when trying to access the MP560's scanner was to downgrade sane-backends to version 1.0.23-r2. That is not a long-term solution, but it buys me some time while I try to find out if there is a bug in sane-backends 1.0.24-r1 or some other reason why the latest version does not work with certain scanners.

Your problem may or may not be similar to mine. Anyway, you could try downgrading sane-backends to see if it gets scanning working again for the time being. As version 1.0.23-r2 is no longer in the Entropy repositories, you could try installing it via Portage:

Code: Select all
$ su
Password: <-- Enter root user's password.
# # First prepare to use Portage for the first time:
# equo install git subversion
# emerge --sync
# layman -S
# layman -d sabayon-distro
# layman -d sabayon
# layman -a sabayon-distro
# layman -a sabayon
# # Now downgrade sane-backends via Portage:
# emerge -1v =sane-backends-1.0.23-r2
# # Now stop Entropy upgrading sane-backends:
# equo mask ">media-gfx/sane-backends-1.0.23-r2"
# # Now tell Entropy what you did via Portage:
# equo rescue spmsync
# exit
exit
$

If you want to install version 1.0.24-r1 or above via Entropy in future, you'll need to remove the Entropy mask. See the SL Wiki for details of how to do that, but you could probably guess how to do it by looking at the mask command above. :)
User avatar
Fitzcarraldo
Sagely Hen
 
Posts: 7978
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom

Re: hp scanner...again...

Postby ronaldoasa » Fri Feb 21, 2014 23:00

Well, no. Didn't work. Thank you very much anyway. But here are some points for reflection:
    There is another partition with manjaro linux installed in the very same machine and it works perfectly. Regular hplip install. Prints and scan without questioning. - It's not a hardware problem.
    In sabayon it prints - the hardware is recognized and the systems communicate with it and the usb port is ok ( I can even print via wifi, I installed and it worked.
    In sabayon it does not scan. Hp-check says : 'error: Failed to get Scanners information'
For me it's clear that there is a config problem only. Which part of sabayon is responsible for communicating and manage information from/to the scanner? Answering this question may solve the problem.
ronaldoasa
Baby Hen
 
Posts: 5
Joined: Thu Feb 20, 2014 13:20

Re: hp scanner...again...

Postby ronaldoasa » Tue Feb 25, 2014 4:10

Well, I gave up. Moved to mint. The damn distro installed the scanner without even asking. I just had to open the app and hit scan. Pity. Just in case, I installed open suse in another partition and the scanner was alive after 20 minutes of basic overall configs.
Thanks anyway. Who knows another opportunity.
ronaldoasa
Baby Hen
 
Posts: 5
Joined: Thu Feb 20, 2014 13:20


Return to Hardware

Who is online

Users browsing this forum: No registered users and 1 guest